const blocks = (extFacePanels) => ([{
    "opcode": "BLOCK_1744018759780",
    "blockType": "command",
    "checkboxInFlyout": false,
    "gap": 12,
    "arguments": {
        "PORT": {
            "type": "number",
            "defaultValue": 9
        },
        "VITESSE": {
            "type": "number",
            "defaultValue": 0
        }
    },
    "branchCount": 0,
    "codes": {
        "arduinoc": {
            "code": `servo_/*{{this.PORT === 'None' ? 0 : this.PORT}}*/.writeMicroseconds(/*{{this.VITESSE === 'None' ? 1500 : 1500 + (this.VITESSE * 5)}}*/);`,
            "sections": {
                "lib": `#include <Servo.h>`,
                "declare": `Servo servo_/*{{this.PORT === 'None' ? 0 : this.PORT}}*/;`,
                "setup": `servo_/*{{this.PORT === 'None' ? 0 : this.PORT}}*/.attach(/*{{this.PORT === 'None' ? 0 : this.PORT}}*/);`
            }
        }
    },
    "handler": this.funcs.BLOCK_1744018759780
}]);

export default blocks;